06/29/2011 04:35 PM - Corey Osman

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Smart proxy should me the ruby path to a variable instead of hard coded path.  Users of puppet enterprise might want to use

/opt/puppet/bin/ruby instead of OS version of ruby and it would be easier to define a variable.  Ultimately this variable should be in

/etc/sysconfig/smar-proxy file as well.

History

#1 - 07/11/2011 03:23 AM - Ohad Levy

cant we simply put a /usr/bin/env ruby in the shebang line?

#2 - 09/05/2011 03:48 PM - Ohad Levy

on a second look, we already have the shabang line, so not really sure what this ticket is about...

#3 - 09/06/2011 12:31 AM - Corey Osman

start() {

    echo -n $"Starting $prog: " 

    daemon --user ${FOREMAN_PROXY_USER} /usr/bin/ruby ${FOREMAN_PROXY_HOME}/bin/smart-proxy > /dev/null

 You can't rely on /usr/bin/env ruby or the shebang to find the ruby version the user wants to use.  The /usr/bin/env defaults to the order of the PATH

statement so if multiple ruby versions exist (puppet enterprise case) than the /usr/bin/env will find the ruby in /usr/bin first.

I think the best way to handle this is to make /usr/bin/ruby a variable and source the variable in from /etc/sysconfig/foreman-proxy.

Foreman's init script suffers from this as well.

#4 - 07/03/2012 07:59 AM - Benjamin Papillon

With the F17 RPM nighties, the foreman init script has the same ruby hardcoded path

#5 - 03/15/2016 03:51 AM - Ohad Levy

- Status changed from New to Resolved

since the service was changed to systemd, it is no longer using hard coded ruby path.

#6 - 03/15/2016 04:16 AM - Dominic Cleal

- Category set to Packaging

- Status changed from Resolved to New

It still depends on the shebang line, and not all OSes use systemd units.

#7 - 08/02/2021 04:48 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

In 00073661ea5eecb3df6b8d54009f6898714b74f6 the init script was moved to the packaging repo. By now the classic init scripts have been dropped
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/00073661ea5eecb3df6b8d54009f6898714b74f6


altogether and only systemd is supported (31393).

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://www.tcpdf.org

